/*
pcd_digital.c
1/15/03
Nathan Z. Gustavson ngustavson@emacinc.com
Emac.inc
www.emacinc.com
*/

#include "counter.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <signal.h>
#include "pcddigital.h"


#define ARGCHECK(num){if(argc<=num){printf("invalid number of arguements\n");help();return -1;}}


#define OPENDEV(filed,dev){if((filed = open(dev, O_RDWR))<=0){printf("couldn't open %s\n",dev);return -1;}}


static int help(void)
{
const char *help_table = "**********************************************
*pcd_digital                                 *
*Nathan Z. Gustavson                         *
*Emac.inc                                    * 
*"__DATE__"                                 *   
*usage:                                      *   
*pcd_digital command port (mask/data)        *
*commands                                    *
*configure - c and input/output(0/1) mask    *
*ex:                                         *
*pcd_digital c 0 0x01                        *
*read - r                                    *
*ex:                                         *
*pcd_digital r 0                             *
*write - w and byte to write                 *
*ex:                                         *
*pcd_digital w 0 0xff                        *
**********************************************\n";
printf("%s",help_table);
return 0;
}




int main(int argc,char **argv)
{
char device[20];
int fd;
unsigned char data;

ARGCHECK(2);

sprintf(device,"/ dev/dig%c",*argv[2]);

OPENDEV(fd,device);

switch(*argv[1])
  {
  case 'c':
    ARGCHECK(3);
    ioctl(fd,PCD_DCFG,strtoul(argv[3],NULL,0));
    break;

  case 'r':
    if(read(fd,&data,1))
      printf("%x\n",data);
    else
      printf("couldn't read from %s\n",device);
    break;

  case 'w':
    ARGCHECK(3);
    data = (unsigned char)strtoul(argv[3],NULL,0);
    write(fd,&data,1);
    break;

  default:
    printf("invalid command\n");
    help();
  }

return 0;

}
